EDIT - bug #6201

feature request # 5974 (Closed): Remove synonym relationships

Adapt dataportal to the new synonym datamodel
11/15/2016 02:50 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.4

Severity: blocker Found in Version:

Description

Synonym relationships have been removed. Synonyms do now directly link to accepted taxa. This needs to be adapted in the
dataportal.

Also on the search page we can remove the possibility that a synonym is related to >1 taxa (for misapplication this may still be
needed(?)).

Associated revisions

Revision 9128dcb4 - 11/21/2016 12:55 PM - Andreas Kohlbecker

ref #6201 adapting portal to changes in taxon/{uuid}/accepted service

Revision 7635cc7d - 11/21/2016 04:55 PM - Andreas Kohlbecker

ref #6201 fixing problem related to changes in taxon/{uuid}/accepted service

History

#1 - 11/15/2016 02:51 PM - Andreas Miller
- Parent task set to #5974

#2 - 11/25/2016 12:01 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

ready for review if needed. Otherwise the synonymy is quite good covered by tests and can be considered to be ok since the test are all successful.

#3 - 11/25/2016 03:25 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miller to Andreas Kohlbecker

I guess it is all ok.

#4 - 01/30/2017 04:03 PM - Andreas Miiller
- % Done changed from 0 to 100
